## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultSetViewerRegistryReader

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSetViewerRegistryReader

    public class ResultSetViewerRegistryReader

extends java.lang.Object

Registry reader for result set viewers

Author:
  Quy On

Field Summary
`static java.lang.String` `EXTERNAL_RESULT_VIEWER`
`static java.lang.String` `EXTERNAL_RESULT_VIEWER_CLASS`
`static java.lang.String` `EXTERNAL_RESULT_VIEWER_DEFAULTVIEWER`
`static java.lang.String` `EXTERNAL_RESULT_VIEWER_ID`
`static java.lang.String` `EXTERNAL_RESULT_VIEWER_VENDOR`

Method Summary
`static ResultSetViewerRegistryReader` `getInstance()` Gets an instance of ResultSetViewerRegistryReader
`ExternalResultSetViewerProvider` `getResultSetViewerExecutable(java.lang.String viewerName)` Gets the executable for result set viewer
`java.util.List` `getResultSetViewers()` Gets a list of result set viewers from extensions providers
`void` `removeViewerProviderContents()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTERNAL_RESULT_VIEWER

    public static final java.lang.String EXTERNAL_RESULT_VIEWER

See Also:
  Constant Field Values

### EXTERNAL_RESULT_VIEWER_CLASS

    public static final java.lang.String EXTERNAL_RESULT_VIEWER_CLASS

See Also:
  Constant Field Values

### EXTERNAL_RESULT_VIEWER_VENDOR

    public static final java.lang.String EXTERNAL_RESULT_VIEWER_VENDOR

See Also:
  Constant Field Values

### EXTERNAL_RESULT_VIEWER_ID

    public static final java.lang.String EXTERNAL_RESULT_VIEWER_ID

See Also:
  Constant Field Values

### EXTERNAL_RESULT_VIEWER_DEFAULTVIEWER

    public static final java.lang.String EXTERNAL_RESULT_VIEWER_DEFAULTVIEWER

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static ResultSetViewerRegistryReader getInstance()

  Gets an instance of ResultSetViewerRegistryReader

  Returns:
    an instance of ResultSetViewerRegistryReader

### getResultSetViewers

    public java.util.List getResultSetViewers()

  Gets a list of result set viewers from extensions providers

  Returns:
    a list of result set viewers provided by extensions

### getResultSetViewerExecutable

    public ExternalResultSetViewerProvider getResultSetViewerExecutable(java.lang.String viewerName)

  Gets the executable for result set viewer

  Parameters:
    `viewerName` - the name of the viewer
  Returns:
    the executable for the result set viewer, or null if no matching found. This executable extends ExternalResultSetViewerProvider

### removeViewerProviderContents

    public void removeViewerProviderContents()